Bug 885632 - Typo in error message after running "action storagedomain deactivate" command: Operatino instead of Operation
Typo in error message after running "action storagedomain deactivate" command...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity high
: ---
: 3.2.0
Assigned To: Tal Nisan
vvyazmin@redhat.com
storage
:
Depends On:
Blocks: 915537
  Show dependency treegraph
 
Reported: 2012-12-10 04:41 EST by Ilia Meerovich
Modified: 2016-02-10 11:34 EST (History)
12 users (show)

See Also:
Fixed In Version: sf3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ilia Meerovich 2012-12-10 04:41:24 EST
[RHEVM shell (connected)]# action storagedomain '67138e8f-3068-42f2-85f5-94a149074eea' deactivate --datacenter-identifier 'f5175b6f-4935-4319-9103-7fa3034d7674' 
action storagedomain '67138e8f-3068-42f2-85f5-94a1490 
74eea' deactivate --datacenter-identifier 'f5175b6f-4935-4319-9103-7fa3034d7674' 
 
[?1h=
send: 'GET /api/datacenters/f5175b6f-4935-4319-9103-7fa3034d7674 HTTP/1.1\r\nHost: jenkins-vm-16.qa.lab.tlv.redhat.com\r\nAccept-Encoding: identity\r\nFilter: False\r\nPrefer: persistent-auth\r\ncookie: JSESSIONID=edl-H5U-ZevhzqgQgyNHhMMI\r\nContent-type: application/xml\r\nAuthorization: Basic dmRjYWRtaW5AcWEubGFiLnRsdi5yZWRoYXQuY29tOjEyMzQ1Ng==\r\n\r\n'
reply: 'HTTP/1.1 200 OK\r\n'
header: Date: Sun, 09 Dec 2012 18:27:42 GMT

header: Pragma: No-cache

header: Cache-Control: no-cache

header: Expires: Thu, 01 Jan 1970 02:00:00 IST

header: Content-Type: application/xml

header: Content-Length: 777

header: Connection: close

send: 'GET /api/datacenters/f5175b6f-4935-4319-9103-7fa3034d7674/storagedomains/67138e8f-3068-42f2-85f5-94a149074eea HTTP/1.1\r\nHost: jenkins-vm-16.qa.lab.tlv.redhat.com\r\nAccept-Encoding: identity\r\nFilter: False\r\nPrefer: persistent-auth\r\ncookie: JSESSIONID=edl-H5U-ZevhzqgQgyNHhMMI\r\nContent-type: application/xml\r\nAuthorization: Basic dmRjYWRtaW5AcWEubGFiLnRsdi5yZWRoYXQuY29tOjEyMzQ1Ng==\r\n\r\n'
reply: 'HTTP/1.1 200 OK\r\n'
header: Date: Sun, 09 Dec 2012 18:27:42 GMT

header: Pragma: No-cache

header: Cache-Control: no-cache

header: Expires: Thu, 01 Jan 1970 02:00:00 IST

header: Content-Type: application/xml

header: Content-Length: 1144

header: Connection: close

send: 'POST /api/datacenters/f5175b6f-4935-4319-9103-7fa3034d7674/storagedomains/67138e8f-3068-42f2-85f5-94a149074eea/deactivate HTTP/1.1\r\nHost: jenkins-vm-16.qa.lab.tlv.redhat.com\r\nAccept-Encoding: identity\r\nContent-Length: 10\r\nFilter: False\r\ncookie: JSESSIONID=edl-H5U-ZevhzqgQgyNHhMMI\r\nPrefer: persistent-auth\r\nContent-type: application/xml\r\nAuthorization: Basic dmRjYWRtaW5AcWEubGFiLnRsdi5yZWRoYXQuY29tOjEyMzQ1Ng==\r\n\r\n'
send: '<action/>\n'
reply: 'HTTP/1.1 400 Bad Request\r\n'
header: Date: Sun, 09 Dec 2012 18:27:42 GMT

header: Content-Type: application/xml

header: Content-Length: 268

header: Connection: close



[K[?1l>
error: 

status: 400

reason: Bad Request

detail: Operatino not allowed while SPM is active
Comment 1 Tal Nisan 2012-12-26 10:05:03 EST
http://gerrit.ovirt.org/10388
Comment 2 vvyazmin@redhat.com 2013-01-13 09:35:02 EST
No issues are found

Verified on RHEVM 3.2 - SF03 environment 

RHEVM: rhevm-3.2.0-4.el6ev.noarch
VDSM: vdsm-4.10.2-3.0.el6ev.x86_64
LIBVIRT: libvirt-0.10.2-13.el6.x86_64
QEMU & KVM: qemu-kvm-rhev-0.12.1.2-2.348.el6.x86_64
SANLOCK: sanlock-2.6-2.el6.x86_64




[RHEVM shell (connected)]# list vms --query 'name="tes*"'

id         : 20b22a85-3ab4-452a-a28e-9a24b7fd235e
name       : test

[RHEVM shell (connected)]# remove vm "test"
[RHEVM shell (connected)]# action storagedomain 'afff4f26-b90a-416a-9954-4e1b69907a78' deactivate --datacenter-identifier 'f28c7f08-daca-4be9-b05e-96937263c6c3'


error: 
status: 400
reason: Bad Request
detail: Operation not allowed while SPM is active
Comment 3 Itamar Heim 2013-06-11 04:23:23 EDT
3.2 has been released
Comment 4 Itamar Heim 2013-06-11 04:25:21 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.